Bug 233572 - showfoto crashed on change hue value
Summary: showfoto crashed on change hue value
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Showfoto-Plugins (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-07 08:47 UTC by David Krapohl
Modified: 2022-02-04 22:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Krapohl 2010-04-07 08:47:56 UTC
Application: showfoto (1.2.0)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-ARCH i686
Distribution (Platform): Archlinux Packages

-- Information about the crash:
Changing the hue value with the mouse wheel caused showfoto to crash

 -- Backtrace:
Application: showFoto (showfoto), signal: Segmentation fault
[Current thread is 1 (Thread 0xb3270740 (LWP 11228))]

Thread 7 (Thread 0xb1769b70 (LWP 11232)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb54b0f35 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5af448d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb67301b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb74bb72a in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#5  0xb672f27e in ?? () from /usr/lib/libQtCore.so.4
#6  0xb54ac94c in start_thread () from /lib/libpthread.so.0
#7  0xb5ae6eae in clone () from /lib/libc.so.6

Thread 6 (Thread 0xb0dffb70 (LWP 11233)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb54b0f35 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5af448d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb67301b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb74bb72a in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#5  0xb672f27e in ?? () from /usr/lib/libQtCore.so.4
#6  0xb54ac94c in start_thread () from /lib/libpthread.so.0
#7  0xb5ae6eae in clone () from /lib/libc.so.6

Thread 5 (Thread 0xb04a9b70 (LWP 11237)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb54b0f35 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5af448d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb67301b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb74bb72a in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#5  0xb672f27e in ?? () from /usr/lib/libQtCore.so.4
#6  0xb54ac94c in start_thread () from /lib/libpthread.so.0
#7  0xb5ae6eae in clone () from /lib/libc.so.6

Thread 4 (Thread 0xad4a3b70 (LWP 11246)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb54b0f35 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5af448d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb67301b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb74bb72a in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#5  0xb672f27e in ?? () from /usr/lib/libQtCore.so.4
#6  0xb54ac94c in start_thread () from /lib/libpthread.so.0
#7  0xb5ae6eae in clone () from /lib/libc.so.6

Thread 3 (Thread 0xaf4a7b70 (LWP 11418)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb54b0f35 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5af448d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb67301b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb74bb72a in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#5  0xb672f27e in ?? () from /usr/lib/libQtCore.so.4
#6  0xb54ac94c in start_thread () from /lib/libpthread.so.0
#7  0xb5ae6eae in clone () from /lib/libc.so.6

Thread 2 (Thread 0xadca4b70 (LWP 12097)):
[KCrash Handler]
#6  0xb73e05fc in Digikam::HSLFilter::applyHSL(Digikam::DImg&) () from /usr/lib/libdigikamcore.so.1
#7  0xb73e0b1e in Digikam::HSLFilter::filterImage() () from /usr/lib/libdigikamcore.so.1
#8  0xb7398044 in Digikam::DImgThreadedFilter::startFilterDirectly() () from /usr/lib/libdigikamcore.so.1
#9  0xb7397011 in Digikam::DImgThreadedFilter::run() () from /usr/lib/libdigikamcore.so.1
#10 0xb672f27e in ?? () from /usr/lib/libQtCore.so.4
#11 0xb54ac94c in start_thread () from /lib/libpthread.so.0
#12 0xb5ae6eae in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb3270740 (LWP 11228)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb54b0f35 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5af448d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb67301b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb672f319 in QThread::wait(unsigned long) () from /usr/lib/libQtCore.so.4
#5  0xb73970a9 in Digikam::DImgThreadedFilter::cancelFilter() () from /usr/lib/libdigikamcore.so.1
#6  0xb7397ca0 in Digikam::DImgThreadedFilter::~DImgThreadedFilter() () from /usr/lib/libdigikamcore.so.1
#7  0xb73e0b7c in Digikam::HSLFilter::~HSLFilter() () from /usr/lib/libdigikamcore.so.1
#8  0xb7615353 in Digikam::EditorToolThreaded::~EditorToolThreaded() () from /usr/lib/libdigikamcore.so.1
#9  0xb04fdeb7 in DigikamColorImagePlugin::HSLTool::~HSLTool() () from /usr/lib/kde4/digikamimageplugin_color.so
#10 0xb76166cb in Digikam::EditorToolIface::unLoadTool() () from /usr/lib/libdigikamcore.so.1
#11 0xb75fd0c5 in Digikam::DImgInterface::load(Digikam::LoadingDescription const&) () from /usr/lib/libdigikamcore.so.1
#12 0xb75ff94a in Digikam::DImgInterface::load(QString const&, Digikam::IOFileSettingsContainer*) () from /usr/lib/libdigikamcore.so.1
#13 0xb760bac9 in Digikam::Canvas::load(QString const&, Digikam::IOFileSettingsContainer*) () from /usr/lib/libdigikamcore.so.1
#14 0x0807f8cc in ?? ()
#15 0x08084c4a in ?? ()
#16 0xb6835eba in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#17 0xb684447f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#18 0xb75634c3 in Digikam::ThumbBarView::signalUrlSelected(KUrl const&) () from /usr/lib/libdigikamcore.so.1
#19 0xb7563877 in Digikam::ThumbBarView::setSelected(Digikam::ThumbBarItem*) () from /usr/lib/libdigikamcore.so.1
#20 0x0807e420 in ?? ()
#21 0x08084bce in ?? ()
#22 0xb6835eba in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#23 0xb684447f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#24 0xb5d90de9 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
#25 0xb5d92fdc in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
#26 0xb5d948a8 in QAction::event(QEvent*) () from /usr/lib/libQtGui.so.4
#27 0xb6c77863 in KAction::event(QEvent*) () from /usr/lib/libkdeui.so.5
#28 0xb5d975dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#29 0xb5d9e1ee in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#30 0xb6d6226a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#31 0xb6830cbb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#32 0xb5dd8ecd in ?? () from /usr/lib/libQtGui.so.4
#33 0xb5ddacbe in ?? () from /usr/lib/libQtGui.so.4
#34 0xb5d9fdd9 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#35 0xb6d6226a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#36 0xb6830cbb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#37 0xb5d984be in ?? () from /usr/lib/libQtGui.so.4
#38 0xb5e4e92d in ?? () from /usr/lib/libQtGui.so.4
#39 0xb5e50dd4 in ?? () from /usr/lib/libQtGui.so.4
#40 0xb5e267d7 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#41 0xb5e53f82 in ?? () from /usr/lib/libQtGui.so.4
#42 0xb4bda895 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#43 0xb4bde568 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#44 0xb4bde748 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#45 0xb685c5d5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#46 0xb5e53ae5 in ?? () from /usr/lib/libQtGui.so.4
#47 0xb682f2f9 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#48 0xb682f74a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#49 0xb68338bf in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#50 0xb5d97677 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#51 0x0807c931 in ?? ()
#52 0xb5a2fb86 in __libc_start_main () from /lib/libc.so.6
#53 0x08055a61 in _start ()

Reported using DrKonqi
Comment 1 caulier.gilles 2010-04-07 08:54:00 UTC
Strange. never seen that there.

Can you reproduce the crash with others tool as BCG or Color balance ?

Gilles Caulier
Comment 2 Johannes Wienke 2010-04-07 10:27:19 UTC
Also, please compile digikam with debug symbols so that we can get information which code line crashes.
Comment 3 Marcel Wiesweg 2010-05-25 20:11:56 UTC
1) Can you reproduce the crash? Under which circumstances?
2) Please install the debug packages for digikam and then give a new backtrace
Comment 4 caulier.gilles 2010-10-07 08:56:53 UTC
Can you try again using digiKam 1.4.0 ?

Gilles Caulier
Comment 5 caulier.gilles 2010-11-24 09:22:21 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 6 David Krapohl 2010-12-04 12:02:43 UTC
Everything working fine with 1.6.0 and kde 4.5.4!